Bug 305431 - Hald is leaking memory
Hald is leaking memory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
7
i586 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-25 12:16 EDT by Eric
Modified: 2013-03-05 22:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:29:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric 2007-09-25 12:16:59 EDT
Description of problem:
Looking a a system with up-to-date Fedora c7, I find after 12 days that hald is
the process using by far the most memory. It is a very simple server without any
fancy hardware.

Version-Release number of selected component (if applicable):
hal-0.5.9-8.fc7

How reproducible:
Do not know, but for a while now yum updates have been failing with messages
like %post failure, could not allocate memory, and I had to install the packages
by hand.

Steps to Reproduce:
1. Just let the system run
  
Actual results:
Here is what top shows:

top - 09:08:13 up 12 days, 12 min,  1 user,  load average: 0.02, 0.05, 0.00
Tasks:  93 total,   1 running,  92 sleeping,   0 stopped,   0 zombie
Cpu(s):  1.9%us,  2.9%sy,  0.0%ni, 95.2%id,  0.0%wa,  0.0%hi,  0.0%si,  0.0%st
Mem:    255384k total,   243044k used,    12340k free,    40856k buffers
Swap:   208804k total,   208656k used,      148k free,    45792k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 1984 haldaemo  20   0  262m  83m  640 S  0.0 33.4   5:38.29 hald               
25066 mysql     20   0  132m  13m  316 S  1.0  5.6   0:33.99 mysqld             
31236 apache    20   0 39004  10m    8 S  0.0  4.1   0:02.73 httpd              
31241 apache    20   0 38984  10m    4 S  0.0  4.1   0:02.12 httpd              
31240 apache    20   0 39004 7112   12 S  0.0  2.8   0:01.41 httpd              
 1367 named     20   0 52732 5696 1264 S  0.0  2.2   1:56.31 named              
31242 apache    20   0 33664 5328    4 S  0.0  2.1   0:00.01 httpd              
31239 apache    20   0 33664 5316    4 S  0.0  2.1   0:00.02 httpd              
32468 root      20   0 33664 5292   60 S  0.0  2.1   0:13.66 httpd              
31245 apache    20   0 19524 2648  572 S  0.0  1.0   0:19.72 mono               
27683 root      20   0  8024 2424 1980 S  0.0  0.9   0:00.87 sshd               
27686 root      20   0  4828 1556 1252 S  0.0  0.6   0:00.12 bash               
27787 root      20   0  2236 1044  812 R  3.9  0.4   0:36.89 top                
 1846 root      20   0  9980  888  580 S  0.0  0.3   1:40.67 cupsd              
 1900 root      20   0  9056  880  692 S  0.0  0.3  13:17.59 nmbd              
10634 root      20   0 14628  864  356 S  0.0  0.3   0:07.03 smbd               
24446 root      20   0  6220  864  596 S  0.0  0.3   0:19.01 dhcpd              
14941 root      20   0 14876  860  356 S  0.0  0.3   0:07.88 smbd               
21624 root      20   0 14772  824  356 S  0.0  0.3   0:05.66 smbd               
 2666 root      20   0  2692  776  588 S  0.0  0.3   0:33.38 rpc.mountd         
32260 root      20   0  9444  688  484 S  0.0  0.3   0:28.01 sendmail           
 1551 root      20   0  6360  576  368 S  0.0  0.2   0:32.47 automount          
 1608 ntp       20   0  4400  540  424 S  0.0  0.2   0:11.31 ntpd               
 1392 rpc       20   0  2268  420  272 S  0.0  0.2   0:18.68 rpcbind            
32351 smmsp     20   0  8068  416  292 S  0.0  0.2   0:11.53 sendmail           
 1656 root      20   0  4700  336  192 S  0.0  0.1   0:00.08 mysqld_safe        
 1472 dbus      20   0  2968  304  228 S  0.0  0.1   0:00.07 dbus-daemon        
 1525 root      20   0 24668  300  224 S  0.0  0.1   0:35.46 ypbind             
 1330 root      20   0  1804  276  184 S  0.0  0.1   0:17.43 syslogd            
 1574 root      20   0  5396  276  176 S  0.0  0.1   0:00.03 sshd               
 1333 root      20   0  1744  212  156 S  0.0  0.1   0:00.16 klogd              
 1833 root      20   0  5480  204  140 S  0.0  0.1   0:09.24 crond              
 2332 root      20   0  4496  184  120 S  0.0  0.1   0:00.02 ssh-agent          
 2051 root      20   0  3136  180  128 S  1.0  0.1   8:19.47 hald-addon-stor    
 1913 root      20   0 13884  176    8 S  0.0  0.1   0:00.25 smbd               
 2358 root      20   0  2524  176  112 S  0.0  0.1   0:11.50 gpg-agent          
11283 sfo       20   0  2520  176  112 S  0.0  0.1   0:12.50 gpg-agent          
 1415 rpcuser   20   0  2080  116    8 S  0.0  0.0   0:00.11 rpc.statd          
 1449 root      20   0  5184  108   28 S  0.0  0.0   0:00.12 rpc.idmapd         
    1 root      20   0  2140   92   64 S  0.0  0.0   0:06.82 init               
 1887 xfs       20   0  4600   68   36 S  0.0  0.0   0:00.22 xfs                
 1963 root      20   0  2324   68   52 S  0.0  0.0   0:00.00 atd                
 1925 root      20   0 13884   36    8 S  0.0  0.0   0:00.00 smbd               
 1793 root      20   0  1980   32    4 S  0.0  0.0   0:00.00 gpm                
 1623 root      20   0  4780   28    4 S  0.0  0.0   0:00.41 vsftpd             
  370 root      16  -4  2820    8    4 S  0.0  0.0   0:00.67 udevd              
 1506 root      20   0  1728    8    4 S  0.0  0.0   0:00.00 apmd               
 1993 root      20   0  3084    8    4 S  0.0  0.0   0:00.05 hald-runner        
 2007 haldaemo  20   0  2076    8    4 S  0.0  0.0   0:00.00 hald-addon-keyb    
 2070 root      20   0  1724    8    4 S  0.0  0.0   0:00.00 mingetty           
 2071 root      20   0  1728    8    4 S  0.0  0.0   0:00.00 mingetty           
 2072 root      20   0  1724    8    4 S  0.0  0.0   0:00.00 mingetty           
 2073 root      20   0  1724    8    4 S  0.0  0.0   0:00.00 mingetty           
 2074 root      20   0  1728    8    4 S  0.0  0.0   0:00.00 mingetty           
 2075 root      20   0  1724    8    4 S  0.0  0.0   0:00.00 mingetty           
11257 sfo       20   0  4492    8    4 S  0.0  0.0   0:00.00 ssh-agent          
 1588 root      20   0  2800    4    4 S  0.0  0.0   0:00.04 xinetd             
 1820 root      20   0  1844    4    4 S  0.0  0.0   0:00.00 nasd               
    2 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 kthreadd           
    3 root      RT  -5     0    0    0 S  0.0  0.0   0:00.00 migration/0        
    4 root      15  -5     0    0    0 S  0.0  0.0   0:03.57 ksoftirqd/0        
    5 root      RT  -5     0    0    0 S  0.0  0.0   0:00.00 watchdog/0         
    6 root      15  -5     0    0    0 S  0.0  0.0   0:01.16 events/0           
    7 root      15  -5     0    0    0 S  0.0  0.0   0:00.01 khelper            
   47 root      15  -5     0    0    0 S  0.0  0.0   0:01.93 kblockd/0          
   48 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 cqueue/0           
   49 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 ksuspend_usbd      
   52 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 khubd              
   54 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 kseriod            
   79 root      15  -5     0    0    0 S  0.0  0.0   0:00.22 kapmd              
   86 root      15  -5     0    0    0 S  0.0  0.0   3:47.59 kswapd0            
  138 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 aio/0              
  269 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 kpsmoused          
  296 root      15  -5     0    0    0 S  0.0  0.0   4:28.39 ata/0              
  297 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 ata_aux            
  300 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 scsi_eh_0          
  301 root      15  -5     0    0    0 S  0.0  0.0   7:30.65 scsi_eh_1          
  309 root      15  -5     0    0    0 S  0.0  0.0   0:45.83 kjournald          
  339 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 kauditd            
  713 root      15  -5     0    0    0 S  0.0  0.0   0:00.01 kgameportd         
 2570 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 nfsd4              
 2571 root      20   0     0    0    0 S  0.0  0.0   0:00.00 lockd              
 2572 root      20   0     0    0    0 S  0.0  0.0   0:01.40 nfsd               
 2573 root      20   0     0    0    0 S  0.0  0.0   0:01.35 nfsd               
 2574 root      20   0     0    0    0 S  0.0  0.0   0:01.70 nfsd               
 2575 root      20   0     0    0    0 S  0.0  0.0   0:01.45 nfsd               
 2576 root      20   0     0    0    0 S  0.0  0.0   0:01.53 nfsd               
 2577 root      20   0     0    0    0 S  0.0  0.0   0:01.67 nfsd               
 2578 root      20   0     0    0    0 S  0.0  0.0   0:01.42 nfsd               
 2579 root      20   0     0    0    0 S  0.0  0.0   0:01.37 nfsd               
 2580 root      15  -5     0    0    0 S  0.0  0.0   1:16.14 rpciod/0           
11324 root      20   0     0    0    0 S  0.0  0.0   0:13.36 pdflush            
23176 root      20   0     0    0    0 S  0.0  0.0   0:02.66 pdflush            

Expected results:
Here is top after restarting the haldaemon service:

top - 09:11:48 up 12 days, 15 min,  1 user,  load average: 0.19, 0.10, 0.02
Tasks:  93 total,   1 running,  92 sleeping,   0 stopped,   0 zombie
Cpu(s):  2.9%us,  1.9%sy,  0.0%ni, 95.2%id,  0.0%wa,  0.0%hi,  0.0%si,  0.0%st
Mem:    255384k total,   164512k used,    90872k free,    41780k buffers
Swap:   208804k total,    28788k used,   180016k free,    51092k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
25066 mysql     20   0  132m  13m  316 S  0.0  5.6   0:34.23 mysqld             
31236 apache    20   0 39004  10m    8 S  0.0  4.1   0:02.73 httpd              
31241 apache    20   0 38984  10m    4 S  0.0  4.1   0:02.12 httpd              
31240 apache    20   0 39004 7112   12 S  0.0  2.8   0:01.41 httpd              
 1367 named     20   0 52732 5696 1264 S  0.0  2.2   1:56.31 named              
31242 apache    20   0 33664 5328    4 S  0.0  2.1   0:00.01 httpd              
31239 apache    20   0 33664 5316    4 S  0.0  2.1   0:00.02 httpd              
32468 root      20   0 33664 5292   60 S  0.0  2.1   0:13.66 httpd              
27961 haldaemo  20   0  5060 3152 2456 S  0.0  1.2   0:00.67 hald               
31245 apache    20   0 19524 2648  572 S  0.0  1.0   0:19.73 mono               
27683 root      20   0  8024 2424 1980 S  0.0  0.9   0:01.04 sshd               
27686 root      20   0  4828 1576 1268 S  0.0  0.6   0:00.13 bash               

Additional info:
I noticed #244866 and #244995, but this system does not have a ups.
Comment 1 Thomas Müller 2007-12-12 11:25:14 EST
Same here with hal-0.5.10-1.fc8 on Fedora 8.
Comment 2 Martin Hilgeman 2007-12-17 04:23:11 EST
Same here too with hal-0.5.10-1.fc8 on Fedora 8, system is a Dell Latitude D610.
Comment 3 Thomas Müller 2007-12-22 03:42:26 EST
hal-0.5.9-8.fc7 and hal-0.5.10-1.fc8 both have some memory leaks that were fixed
upstream.
http://gitweb.freedesktop.org/?p=hal.git;a=commit;h=1491787fdf29fd77e4cbd13af70434ee3e7032ee

This could be the same problem as described in bug 244995.
Comment 4 Bug Zapper 2008-05-14 10:29:48 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Richard Hughes 2008-05-30 07:33:20 EDT
Should be fixed in F9, please confirm. Thanks.
Comment 6 Bug Zapper 2008-06-16 22:29:05 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Fedora Update System 2012-08-19 14:51:43 EDT
valgrind-3.8.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/valgrind-3.8.0-4.fc18
Comment 8 Fedora Update System 2012-08-27 06:32:19 EDT
valgrind-3.8.0-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/valgrind-3.8.0-5.fc18
Comment 9 Fedora Update System 2012-09-17 19:39:55 EDT
valgrind-3.8.0-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-09-20 20:52:59 EDT
valgrind-3.8.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/valgrind-3.8.1-1.fc18
Comment 11 Fedora Update System 2012-09-25 12:36:26 EDT
valgrind-3.8.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.